Bug 90909 - Prerequisites wrong in source RPM (SRPM won't build out-of-box on RHL9)
Prerequisites wrong in source RPM (SRPM won't build out-of-box on RHL9)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: squid (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-15 05:05 EDT by Economou, Matthew
Modified: 2014-08-31 19:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-20 22:48:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Economou, Matthew 2003-05-15 05:05:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
The build dependencies mention the obsolete "sgml-tools" package, as 
the "sgml2html" command is needed to create some of the end-user documentation 
for the Squid package.  The "sgml-tools" package no longer exists, and there is 
even a changelog entry in the squid.spec file that mentions the proper 
dependency, the "linuxdoc-tools" package.

This is very confusing for users who need to rebuild the Squid RPM (e.g. to 
specify the missing "NTLM" authentication option mentioned in bug report 90145).

Version-Release number of selected component (if applicable):
squid-2.5.STABLE1-2

How reproducible:
Always

Steps to Reproduce:
1. On a freshly-installed Red Hat Linux 9 system, install the Squid source RPM 
from CD, e.g. "rpm -i /mnt/cdrom/SRPMS/squid-2.5.STABLE1-2.src.rpm".
2. Attempt to build the source RPM, e.g. "rpmbuild -
bb /usr/src/redhat/SPEC/squid.spec".
3. ...
4. PROFIT!
    

Actual Results:  rpmbuild complained about a missing prerequisite, sgml-tools.

Expected Results:  With linuxdoc-tools installed, the package should have been 
built.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.